RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006285AFRF[All Projects] Generalpublic2021-04-21 20:252021-04-24 12:16
ReporterTes 
Assigned Toreyhard 
PrioritynoneSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.5.6 
Summary0006285: Soviet vests and belts capacity
DescriptionThe capacity of new soviet gear is way, way too small.
Examples all you can fit in Suspender equipment (Rifleman) is 4 AK74 mags even though the model himself has an additional pouch that could fit 2 granades.

Belt Equipment (Auto Rifleman) doesn't even fit one PKM box.

Suspender Equipment (AK Chestrig) fits only one PKM box, even though logically it should 2.

Its like that with all of the soviet era stuff. Historically vests always had more room than they logically should to give more leeway to mission makers and players. Sure, you can aid yourself with a backpack, which is essentially a must have now, but what about assistang gunners, medics, RPG people that would probably already have the backpacks filled to the brim? Now it gets trickier. Also discourages people mixing RHS with other mods from using it when they have something that looks worse but fits more. Too much room isn't really an issue since the weight adds up anyway and it is the restricting factor on stamina. a player wearing 25 kg with a backpack and 25 without behaves realistically the same. TL;DR too litle room significantly reduces the new soviet gear's usability.

Simplest solution- just double the sizes. Or add 50%, whatever floats your goat. Doesn't really matter if it makes something bigger than it should, definitelly beats it being smaller than it should. 3/4 of gear has more room than is realistic anyway. And it makes sense. yon don't have dynamic pouches which can be added per mission if needed and the variations are limited to just a few. Its better to be more forgiving here.
Steps To Reproduce1. Make sure you're running AFRF
2. Enter Arsenal
3. See what fits in the old school soviet equipment, what doesn't, and compare your findings to rest of RHS and other mods.
TagsNo tags attached.
Is it a wish/request?No
RHS versionStable
Arma 3 version2.02
Did you used any other mod when the error occurred?No
Which mods?
Attached Files

- Relationships

-  Notes
(0011658)
reyhard (administrator)
2021-04-23 13:20

Fixed Suspender equipment (Rifleman) capacity (+ variants with grenade pouches, including VOG)

"Belt Equipment (Auto Rifleman) doesn't even fit one PKM box. "
This is RPK pouch for 4 RPK magazines. Auto Rifleman != Machinegunner
"Suspender Equipment (AK Chestrig) fits only one PKM box, even though logically it should 2. "
Logically it should fit 8 AK magazines and 0 PKM magazines ;)
(0011663)
Tes (reporter)
2021-04-24 05:56
edited on: 2021-04-24 06:04

Then where is he supposed to carry ammo? His hands? Think about practical use, not what it is intended to be. Also pretty sure it would fit ( disregarding any dividers inside) or "almost fit" Its not like you have another belt configuration that says "machinegunner" those 2 are only logical choices from the aesthetic standpoint. Giving a PKM gunner something that is just for show and hoping the backpack is enough is imho stupid. Especially when its so easilly fixable. Or do you want to model, texture and implement every other possible configuration? Then sure, take the hard way.

(0011664)
reyhard (administrator)
2021-04-24 12:15
edited on: 2021-04-24 12:16

"Then where is he supposed to carry ammo? His hands? " In reality? He would only hold vest with no pouches, have one magazine loaded in PK & carry additional ammo in backpack. Rest of the ammo would be carried by assistant in hands.

If you want do some unrealistic loadouts you can of course use carry all backpack & vanilla vests - it would look as silly as using AK chestrig for machinegunner loadout.

"disregarding any dividers inside" - I'm pretty sure it would break that pouch completely. Not sure if you have seen those pouches in real life but you cannot remove dividers from there.


- Issue History
Date Modified Username Field Change
2021-04-21 20:25 Tes New Issue
2021-04-23 13:20 reyhard Note Added: 0011658
2021-04-23 13:20 reyhard Status new => resolved
2021-04-23 13:20 reyhard Fixed in Version => 0.5.6
2021-04-23 13:20 reyhard Resolution open => fixed
2021-04-23 13:20 reyhard Assigned To => reyhard
2021-04-24 05:56 Tes Note Added: 0011663
2021-04-24 05:58 Tes Note Edited: 0011663 View Revisions
2021-04-24 06:02 Tes Note Edited: 0011663 View Revisions
2021-04-24 06:03 Tes Note Edited: 0011663 View Revisions
2021-04-24 06:04 Tes Note Edited: 0011663 View Revisions
2021-04-24 12:15 reyhard Note Added: 0011664
2021-04-24 12:16 reyhard Note Edited: 0011664 View Revisions


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker